#include  "msp430x14x.h"
;******************************************************************************
;   MSP-FET430P140 Demo - Software Toggle P1.0 
;
;   Description; This program will toggle P1.0 by xor'ing P0.1
;   ACLK = n/a, MCLK = SMCLK = default DCO ~ 800k
;
;                MSP430F149
;             -----------------
;         /|\|              XIN|-  
;          | |                 |
;          --|RST          XOUT|-
;            |                 |
;            |             P1.0|-->LED
;
;   M.Buccini
;   Texas Instruments, Inc
;   June 2002
;******************************************************************************
;------------------------------------------------------------------------------
            .pseg code,abs=01100h           ; 
;------------------------------------------------------------------------------
RESET       mov.w   #0A00h,SP               ; Initialize 'F149 stackpointer
StopWDT     mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop WDT
SetupP1     bis.b   #001h,&P1DIR            ; P1.0  output
                                            ;                                                     
Mainloop    xor.b   #001h,&P1OUT            ; Toggle P1.0
Wait        mov.w   #65000,R15             ; Delay to R15
L1          dec.w   R15                     ; Decrement R15
            jnz     L1                      ; Delay over?
            jmp     Mainloop                ; Again
                                            ;
;------------------------------------------------------------------------------ 
;           Interrupt Vectors Used MSP430x13x/14x         
;------------------------------------------------------------------------------ 
            .pseg reset_vector,abs=0FFFEh
            .data RESET
            END     
